Name:          libxcb-image
Version:       0.4.1
Release:       1mamba
Summary:       XCB image support library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://xcb.freedesktop.org/
Source:        http://xcb.freedesktop.org/dist/xcb-util-image-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-util-devel
## AUTOBUILDREQ-END
BuildRequires: gperf
BuildRequires: libxcb-devel

%description
The xcb-util module provides a number of libraries which sit on top of libxcb, the core X protocol library, and some of the extension libraries.
These experimental libraries provide convenience functions and interfaces which make the raw X protocol more usable.
Some of the libraries also provide client-side code which is not strictly part of the X protocol but which have traditionally been provided by Xlib.
These libraries are currently included, roughly ordered by maturity:
* image: Port of Xlib's XImage and XShmImage functions.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The xcb-util module provides a number of libraries which sit on top of libxcb, the core X protocol library, and some of the extension libraries.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n xcb-util-image-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libxcb-image.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/xcb
%{_libdir}/libxcb-image.a
%{_libdir}/libxcb-image.so
%{_libdir}/pkgconfig/xcb-image.pc
#%doc README

%changelog
* Sun Nov 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-1mamba
- update to 0.4.1

* Tue Oct 28 2014 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic update by autodist

* Sat Jul 21 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.9-1mamba
- update to 0.3.9

* Thu Apr 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.8-1mamba
- package created
